Subject: bug#49778: closed (Re: [bug#49778] [PATCH 1/2] gnu: openttd-opensfx: Update to 1.0.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Jul 2021 09:51:01 +0000

Your bug report

#49778: [PATCH 1/2] gnu: openttd-opensfx: Update to 1.0.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49778: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49778
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#49778] [PATCH 1/2] gnu: openttd-opensfx: Update to 1.0.1.
From: Leo Prikler <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 30 Jul 2021 11:50:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Reasons for removing CC-Sampling+-1.0:
> 1. It is nonfree
> 2. I updated the only package that used it (openttd-opensfx) to a
> version that uses CC-BY-SA 3.0 instead (they switched license)
I've pushed both your patches and also updated OpenGFX.  There appears
to be a bug in the music player, so I didn't update OpenMSX yet.

Thanks

Subject: [PATCH 1/2] gnu: openttd-opensfx: Update to 1.0.1.
From: Ron Nazarov <[email-masked]>
To: [email-masked]
Cc: Ron Nazarov <[email-masked]>
Date: Fri, 30 Jul 2021 01:48:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/games.scm (openttd-opensfx): Update to 1.0.1.
[license]: Update license to cc-by-sa3.0.
---
 gnu/packages/games.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 8c6b5523f1..88293df306 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -62,6 +62,7 @@
 ;;; Copyright © 2021 David Pflug <[email-masked]>
 ;;; Copyright © 2021 Felix Gruber <[email-masked]>
 ;;; Copyright © 2021 Solene Rapenne <[email-masked]>
+;;; Copyright © 2021 Noisytoot <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4423,7 +4424,7 @@ OpenGFX provides you with...
 (define openttd-opensfx
   (package
     (name "openttd-opensfx")
-    (version "0.2.3")
+    (version "1.0.1")
     (source
      (origin
        (method url-fetch)
@@ -4456,7 +4457,7 @@ OpenGFX provides you with...
     (description "OpenSFX is a set of free base sounds for OpenTTD which make
 it possible to play OpenTTD without requiring the proprietary sound files from
 the original Transport Tycoon Deluxe.")
-    (license license:cc-sampling-plus-1.0)))
+    (license license:cc-by-sa3.0)))
 
 (define openttd-openmsx
   (package
-- 
2.32.0